package cc.bnblogs.usercenterbackend.model.request;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 用户注册请求体
 * @author: zfp@bnblogs.cc
 * @date: 2023/3/13 20:48
 */
@Data
public class UserRegisterRequest implements Serializable{
    /**
     * 唯一的序列化id
     */
    private static final long serialVersionUID = -5343475810373048859L;
    /**
     * 账户名
     */
    private String userAccount;
    /**
     * 密码
     */
    private String userPassword;
    /**
     * 二次验证密码
     */
    private String checkPassword;

    /**
     * 星球编号
     */
    private String planetCode;
}
