package cc.bnblogs.usercenterbackend.service;

import cc.bnblogs.usercenterbackend.model.User;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;


/**
 * @description:
 * @author: zfp@bnblogs.cc
 * @date: 2023/3/13 17:26
 */
@SpringBootTest
public class UserServiceTest {
    @Resource
    private UserService userService;
    @Test
    void addUser() {
        User user = new User();
        user.setUsername("aaa");
        user.setUserAccount("111");
        user.setAvatarUrl("https://hugo.bnblogs.cc/images/img/20220215001349.png");
        user.setUserPassword("1111");
        user.setPhone("111");
        user.setEmail("11");
        user.setPlanetCode("11");

        boolean result = userService.save(user);
        System.out.println(user.getId());
        Assertions.assertTrue(result);
    }
}