package cc.bnblogs.usercenterbackend.model.request;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 用户登录请求体
 * @author: zfp@bnblogs.cc
 * @date: 2023/3/13 21:02
 */
@Data
public class UserLoginRequest implements Serializable {
    /**
     * 生成唯一的序列化id
     */
    private static final long serialVersionUID = 5573458796447734745L;
    /**
     * 登录的账户名
     */
    private String userAccount;
    /**
     * 密码
     */
    private String userPassword;
}
